VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "TargetTester"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit


Implements ITest
Implements ITestCase

Private mManager As TestCaseManager
Private mAssert As IAssert

Private Sub Class_Initialize()
    Set mManager = CreateTestCaseManager()
End Sub

Private Property Get ITestCase_Manager() As TestCaseManager
    Set ITestCase_Manager = mManager
End Property

Private Property Get ITest_Manager() As ITestManager
    Set ITest_Manager = mManager
End Property

Private Sub ITestCase_SetUp(Assert As IAssert)
    Set mAssert = Assert
End Sub

Private Sub ITestCase_TearDown()

End Sub

Public Sub TestAddFunction()
    Dim target As clsTarget
    Set target = CreatTarget()
    target.mValue1 = 5
    target.mValue2 = 3
    mAssert.Equals target.Add, 10, "Add() `FbN"
End Sub

Private Function ITest_Suite() As TestSuite
    Set ITest_Suite = CreateTestSuite()
    ITest_Suite.AddTest ITest_Manager.ClassName, "TestAddFunction"
End Function

Private Sub ITestCase_RunTest()
    Select Case mManager.MethodName
        Case "TestAddFunction": TestAddFunction
        Case Else: mAssert.Should False, "Invalid test name: " & mManager.MethodName
    End Select
End Sub


