VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "TestRunner"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit

Public Function Run(Optional TestClassName As String, Optional ReportFilePath As String) As Boolean
    Dim S As TestSuite, T As ITest, RM As IRunManager, TL As ITestClassLister
    Dim C As Collection, VName As Variant
    Set TL = GetTestClassLister()
    If TestClassName <> "" Then
        Set C = New Collection
        C.Add TestClassName
    Else
        Set C = TL.TestClasses()
    End If
    Set S = New TestSuite
    For Each VName In C
        S.AddTest CStr(VName)
    Next
    Set T = S
    If ReportFilePath = "" Then
        Set RM = New RunManager
    Else
        Dim RMLog As RunManagerLogFile
        Set RMLog = New RunManagerLogFile
        RMLog.LogFilePath = ReportFilePath
        Set RM = RMLog
    End If
    T.Manager.Run T, RM
    RM.Report
    
    Run = RM.Result.WasSuccessful
    
End Function
